io.netty.handler.codec.mqtt

## Class MqttConstant

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttConstant

    public final class MqttConstant
    extends Object

### Field Summary

Fields
`static int` `DEFAULT_MAX_BYTES_IN_MESSAGE` Default max bytes in message
`static int` `DEFAULT_MAX_CLIENT_ID_LENGTH` Default max client id length,In the mqtt3.1 protocol, the default maximum Client Identifier length is 23
`static int` `MIN_CLIENT_ID_LENGTH` min client id length

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_MAX_BYTES_IN_MESSAGE

    public static final int DEFAULT_MAX_BYTES_IN_MESSAGE

Default max bytes in message

See Also:
  Constant Field Values

#### MIN_CLIENT_ID_LENGTH

    public static final int MIN_CLIENT_ID_LENGTH

min client id length

See Also:
  Constant Field Values

#### DEFAULT_MAX_CLIENT_ID_LENGTH

    public static final int DEFAULT_MAX_CLIENT_ID_LENGTH

Default max client id length,In the mqtt3.1 protocol, the default maximum Client Identifier length is 23

See Also:
  Constant Field Values